      SUBROUTINE DFACT(T,J,LEN)
      include "params.h"
      include "cons.h"
      DIMENSION T(1)
      COMMON/RUNTIM/NERD(ZJMX+2),HOR(ZJMX)
C
C
C     ****     T3 = A = .5*(1.+SIN(PI*(ABS(RLATM)-PI/6.)/(PI/3.)))
C     ****               FOR  ABS(RLATM).LT.PI/3.
C     ****          A = 1.    FOR  ABS(RLATM).GE.PI/3
C
      RLAT =(-87.5+(J-1)*5.)/57.295
      FACK = merge(1.,.5*(1.+SIN(C(110)*(ABS(RLAT)-C(110)/9.)
     1          /(C(110)/4.5))),ABS(RLAT)-C(110)/4.5>=0.)
      DO 1 I=1,LEN
C     T(I)=HOR(J)
      T(I)=HOR(J)+FACK
    1 CONTINUE
      RETURN
      END
C
